# GLM: glm Namespace Reference

# glm Namespace Reference

GLM namespace, it contains all GLSL based features. More...

## Namespaces

namespace | core

| GLM core. Namespace that includes all the feature define by GLSL 1.30.8 specification. This namespace is included in glm namespace.
namespace | gtc

| GLM stable extensions.
namespace | gtx

| GLM experimental extensions. The interface could change between releases.
namespace | img

| IMG extensions.

## Detailed Description

GLM namespace, it contains all GLSL based features.